=== debian/changelog ===
fwupd (1.8.4-2) unstable; urgency=medium

  * debian/control:
    - Attempt to fix FTBFS related to documentation only building in certain
      architectures.
    - Fix valgrind architecture specific dependency.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 13:33:23 -0500

fwupd (1.8.4-1) unstable; urgency=medium

  * New upstream version (1.8.4)
  * debian/control: refresh with upstream dependencies

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 11:15:39 -0500

fwupd (1.8.3-1) unstable; urgency=medium

  * New upstream version (1.8.3)
  * Drop COD patch
  * Fixes HWIDs for some systems (LP: #1982103)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 06:46:52 -0500

fwupd (1.8.2-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.8.2)
  * Backport a patch from upstream to disable capsule on disk by default outside
    aarch64.  This fixes flashing on HP Dev One and several Insyde boxes.
  * fix build with newer meson

  [ Lukas MÃ¤rdian ]
  * d/rules: enable plugin_logitech_bulkcontroller on Ubuntu, as the protobuf-c
    MIR has been resolved (LP: 1956617)

 -- Mario Limonciello <superm1@gmail.com>  Sat, 16 Jul 2022 08:59:57 -0500

fwupd (1.8.1-2) unstable; urgency=medium

  * Fix mistake in symbols file
  * Fix gitignore

 -- Mario Limonciello <superm1@gmail.com>  Wed, 29 Jun 2022 20:01:43 -0500

fwupd (1.8.1-1) unstable; urgency=medium

  * New upstream version (1.8.1) (LP: #1979963)
  * Drop patch for systemd refresh unit, upstream.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 28 Apr 2022 23:56:33 -0500

fwupd (1.7.7-1) unstable; urgency=medium

  * New upstream version (1.7.7)
    - Fixes some errors with TPM binary measurements. (LP: #1966364)
  * Backport configuration option for systemd refresh unit user
  * Run fwupd-refresh under a dedicated fwupd-refresh user (LP: #1969976)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Apr 2022 20:44:02 -0500

fwupd (1.7.6-1) unstable; urgency=medium

  * New upstream version (1.7.6)
  * Drop all patches, upstream
  * Add libqrtr-glib-dev to build depends

 -- Mario Limonciello <superm1@gmail.com>  Sun, 27 Feb 2022 20:59:36 -0600
