=== contrib/freebsd/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 SHEBANG_GLOB=	*.py
 
 MESON_ARGS=	-Dgudev=disabled \
-		-Dplugin_amt=false \
+		-Dplugin_intel_me=false \
 		-Dpolkit=disabled \
 		-Dsystemd=disabled \
 		-Doffline=false \
