=== debian/changelog ===
fwupd (1.8.12-2) unstable; urgency=medium

  * Backport a series of patches to help with autopkgtest failing when
    compiled against an older gusb.

 -- Mario Limonciello <superm1@gmail.com>  Sun, 26 Feb 2023 11:05:26 -0600

fwupd (1.8.12-1) unstable; urgency=medium

  * New upstream version (1.8.12)
  * Fixes some regressions with other fwupd clients.
  * Add pandoc to b-d

 -- Mario Limonciello <superm1@gmail.com>  Fri, 24 Feb 2023 14:23:01 -0600

fwupd (1.8.11-1) unstable; urgency=medium

  * New upstream version (1.8.11)
  * Add libjaylink-dev for flashrom

 -- Mario Limonciello <superm1@gmail.com>  Thu, 23 Feb 2023 09:52:25 -0600

fwupd (1.8.10-2) unstable; urgency=medium

  * Backport a patch to hopefully help with autopkgtest failures on !x86

 -- Mario Limonciello <mario.limonciello@amd.com>  Tue, 24 Jan 2023 09:12:43 -0600

fwupd (1.8.10-1) unstable; urgency=medium

  * New upstream version (1.8.10)
  * Drop patches, upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 23 Jan 2023 08:18:34 -0600

fwupd (1.8.9-3) unstable; urgency=medium

  * Backport a patch to fix the autopkgtest failure on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 16 Jan 2023 14:36:18 -0600

fwupd (1.8.9-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 04 Jan 2023 10:23:10 -0600

fwupd (1.8.9-1) unstable; urgency=medium

  * New upstream version (1.8.9)
  * Drop all patches that are now upstream

 -- Mario Limonciello <superm1@gmail.com>  Tue, 03 Jan 2023 08:35:17 -0600

fwupd (1.8.8-3) unstable; urgency=medium

  * Backport another patch to fix another autopkgtest failure

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Dec 2022 09:43:12 -0600

fwupd (1.8.8-2) unstable; urgency=medium

  * Backport a patch for autopkgtest failure found in Ubuntu.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 19 Dec 2022 23:08:43 -0600

fwupd (1.8.8-1) unstable; urgency=medium

  * New upstream version (1.8.8)
  * drop symbol upstream.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 07 Dec 2022 20:03:31 -0600

fwupd (1.8.6-2) unstable; urgency=medium

  * debian/control:
    - Drop gi-docgen from B-d that was re-added when dependencies
      regenerated.  This is only supposed to be present in B-d-i

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 16:07:34 -0500

fwupd (1.8.6-1) unstable; urgency=medium

  * New upstream version (1.8.6)
    - Notable change upstream is that libfwupdplugin is no longer a library
      that is available for developing out-of-tree plugins.  All plugins are
      now linked into an internal library distributed in the fwupd package.
  * debian/control:
    - Refresh for this upstream change.
  * Drop all upstream patches.
  * Add a patch to force rpath to fix a false positive dpkg-shlibdeps check
    on some binaries.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 13:42:24 -0500

fwupd (1.8.5-1) unstable; urgency=medium

  * New upstream version (1.8.5)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Sep 2022 10:12:00 -0500
