=== debian/control ===
--- 
+++ 
@@ -5,22 +5,15 @@
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
 Build-Depends:
-	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	bash-completion,
-	ca-certificates,
-	clang-format,
-	dbus-x11,
 	debhelper (>= 12),
-	devscripts,
 	dh-strip-nondeterminism,
-	fakeroot,
 	fontconfig,
 	fonts-noto,
+	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	gcab,
 	gettext (>= 0.19.8.1),
 	gir1.2-pango-1.0,
-	git,
-	gnome-desktop-testing,
 	gnu-efi [amd64 arm64 armhf i386],
 	gnutls-bin,
 	gnutls-dev,
@@ -32,14 +25,13 @@
 	libcurl4-gnutls-dev,
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
-	libelf-dev,
+	libjaylink-dev [!ia64],
 	libflashrom-dev [!ia64],
 	libfreetype6-dev,
 	libftdi1-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
-	libglib2.0-doc,
 	libgudev-1.0-dev,
 	libgusb-dev (>= 0.3.5),
 	libjcat-dev,
@@ -57,12 +49,11 @@
 	libsystemd-dev,
 	libtool-bin,
 	libtss2-dev,
-	libumockdev-dev,
 	libxmlb-dev (>= 0.1.13),
-	lintian,
 	locales,
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
+	pandoc,
 	pkg-config,
 	policykit-1 (>> 0.105-14),
 	protobuf-c-compiler,
@@ -72,10 +63,8 @@
 	python3-requests,
 	python3-toml,
 	python3-typogrify,
-	python3-venv,
 	shared-mime-info,
 	systemd (>= 231),
-	texlive-fonts-recommended,
 	udev,
 	umockdev,
 	valac,
@@ -89,21 +78,6 @@
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
-Package: libfwupdplugin7
-Section: libs
-Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: same
-Description: Firmware update daemon plugin library
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Firmware updates are supported for a variety of technologies.
- See <https://github.com/fwupd/fwupd> for details
- .
- This package provides the library for the interface between daemon and plugins.
-
 Package: libfwupd2
 Section: libs
 Architecture: linux-any
@@ -123,6 +97,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+	 adduser,
          shared-mime-info
 Recommends: python3,
 	    bolt,
@@ -227,43 +202,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: libfwupdplugin-dev
-Architecture: linux-any
-Multi-Arch: same
-Depends: libfwupdplugin7 (= ${binary:Version}),
-         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
-         libarchive-dev,
-         libcbor-dev,
-         libcurl4-gnutls-dev,
-         libfwupd-dev (= ${binary:Version}),
-         libgcab-dev,
-         libglib2.0-dev (>= 2.45.8),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.3.5),
-         libjcat-dev,
-         libjson-glib-dev (>= 1.1.1),
-         libxmlb-dev (>= 0.1.13),
-         valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-         ${misc:Depends}
-Section: libdevel
-Description: development files for libfwupdplugin
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Firmware updates are supported for a variety of technologies.
- See <https://github.com/fwupd/fwupd> for details
- .
- This package provides the development files for libfwupdplugin
-
-Package: gir1.2-fwupdplugin-1.0
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
-Section: introspection
-Description: GObject introspection data for libfwupdplugin
- This package provides the introspection data for libfwupdplugin.
- .
- It can be used by packages using the GIRepository format to generate
- dynamic bindings.
