=== debian/changelog ===
fwupd (1.9.4-2) unstable; urgency=medium

  * Fix a FTBFS for package arch-ind builds without systemd directory.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 12:09:36 -0500

fwupd (1.9.4-1) unstable; urgency=medium

  * New upstream version (1.9.4)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 07:12:37 -0500

fwupd (1.9.3-1) unstable; urgency=medium

  * New upstream version (1.9.3)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 11 Jul 2023 11:15:06 -0500

fwupd (1.9.1-1) experimental; urgency=medium

  * New upstream version (1.9.1)
  * Drop all patches

 -- Mario Limonciello <superm1@gmail.com>  Sat, 13 May 2023 06:53:09 -0500
