=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,6 @@
 	CONFARGS += -Dplugin_dell=disabled
 endif
 
-ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
-	CONFARGS += -Dplugin_uefi_capsule=enabled -Defi_binary=false
-else
-	CONFARGS += -Dplugin_uefi_capsule=disabled
-endif
-
 ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
 	CONFARGS += -Dplugin_msr=enabled
 else
@@ -48,7 +42,7 @@
 	CONFARGS += -Ddocs=disabled
 endif
 
-CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Dsystemd_unit_user=fwupd-refresh
+CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Dsystemd_unit_user=fwupd-refresh -Defi_binary=false
 
 %:
 	dh $@ --with gir
@@ -84,6 +78,8 @@
 
 	#enable fwupd-refresh.service by default (we have a dedicated user)
 	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset
+	# avoid shipping an empty directory
+	[ ! -d debian/fwupd/lib/systemd ] || find debian/fwupd/lib/systemd -type d -empty -delete
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xfirmware-example.xml.gz
