=== debian/changelog ===
fwupd (1.9.5-1) unstable; urgency=medium

  * New upstream version (1.9.5)
  * Add libzstd-dev to build-depends.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 05 Sep 2023 20:36:39 -0500
