=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	libgusb-dev (>= 0.3.5),
 	libjcat-dev,
 	libjson-glib-dev (>= 1.1.1),
+	libzstd-dev,
 	liblzma-dev,
 	libmbim-glib-dev,
 	libmm-glib-dev,
